import java.io.*;
import javax.swing.*;
import javax.tools.*;
import java.util.*;
import java.lang.Integer;
import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import java.awt.geom.*;
import java.awt.image.*;
import javax.swing.*;
import java.util.Locale;
import java.text.*;
import java.util.*;
import javax.swing.table.*;
import static java.lang.Math.*;

class NA0B 
{	  String s;
	  public  ce1()
	  {girdi2 g=new girdi2("f2D"," ");
	   s=g.vericiktisi();
	   try{ g.finalize();} 
	   catch(Throwable e1) {System.err.println("girdi hatası.");} 
	  }
	  
	  public  ce1(String function)
	  {	  functiongenerator g=new functiongenerator("fa",function);
	      s=g.createfunction();
	      try{ g.finalize();} 
	      catch(Throwable e1) {System.err.println("girdi hatası.");}
	  }

	  public static void main(String arg[])
	  { //String s1=JOptionPane.showInputDialog(" Fonksiyonu giriniz : ");
		NA0B x0=new NA0B();
        double a[]=Text.readDoubleV("Fonksiyonun minimum ve maksimum değerlerini giriniz xmin xmax");
        ce3 x1=new ce3(a[0],a[1],400,x0.s);
        //ce8 x2=new ce8(a[0],a[1],x0.s);
	  }
}
